<?php

/* DCMS Special
 * Дата последнего редактирования 06.02.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Смена логина');

include_once H . 'sys/inc/thead.php';

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/shop/'>" . lang('Магазин') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Смена логина');
echo "</small></div><br />";

if (isset($_GET['yes'])) {
    if (isset($user) & $user['money'] <= 200) {
        $_SESSION['err'] = lang('У Вас недостаточно на счету');

        header("Location: /modules/shop/");
        exit();
    }

    if (isset($_POST['save'])) {
        if (isset($_POST['name'])) {
            if (isset($user) & $user['money'] <= 200) {
                $_SESSION['err'] = lang('У Вас недостаточно на счету');

                header("Location: /modules/shop/");
                exit();
            } else {
                $nick = mysql_real_escape_string(esc($_POST['name']));

                if (!preg_match("#^([A-z0-9\-\_])+$#ui", $nick)) {
                    $_SESSION['err'] = lang('В логине присутствуют запрещенные символы');

                    header("Location: /modules/shop/login.php?yes");
                    exit();
                } elseif (preg_match("#[a-z]+#ui", $nick) && preg_match("#[а-я]+#ui", $nick)) {
                    $_SESSION['err'] = lang('Разрешается использовать символы только английского алфавита и цифр');

                    header("Location: /modules/shop/login.php?yes");
                    exit();
                } elseif (preg_match("#(^\ )|(\ $)#ui", $nick)) {
                    $_SESSION['err'] = lang('Запрещено использовать пробел в начале и конце логина');

                    header("Location: /modules/shop/login.php?yes");
                    exit();
                } elseif (utf8_strlen($nick) < 3) {
                    $_SESSION['err'] = lang('Короткий логин');

                    header("Location: /modules/shop/login.php?yes");
                    exit();
                } elseif (utf8_strlen($nick) > 32) {
                    $_SESSION['err'] = lang('Длина логина превышает 32 символа');

                    header("Location: /modules/shop/login.php?yes");
                    exit();
                } elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` = '" . mysql_real_escape_string($nick) . "'"), 0) != 0) {
                    $_SESSION['err'] = lang('Выбранный Вами логин уже занят');

                    header("Location: /modules/shop/login.php?yes");
                    exit();
                } else {
                    mysql_query("UPDATE `user` SET `money` = '" . ($user['money'] - 200) . "' WHERE `id` = '$user[id]' LIMIT 1");

                    if ($user['nick'] != $nick) {
                        mysql_query("INSERT INTO `history_nick` SET `nick_last` = '$user[nick]', `nick_new` = '$nick', `user_id` = '$user[id]', `who` = '$user[id]', `time` = '$time'");
                    }
                    mysql_query("UPDATE `user` SET `nick` = '" . mysql_real_escape_string($nick) . "' WHERE `id` = '$user[id]' LIMIT 1");
                    mysql_query("INSERT INTO `notification` (`id_user`, `id_kont`, `msg`, `time`) values('0', '" . $user['id'] . "', 'Вы воспользовались услугой Смена логина. С Вашего счета было списано 200 рублей.', '" . $time . "')");
                    $msgs = 'Вы сменили логин [red]-200 рублей[/red]';
                    mysql_query("INSERT INTO `rub_out` (`id_u`, `ank`, `msg`, `time`) values('$user[id]', '$user[id]', '$msgs', '$time')");

                    $_SESSION['message'] = lang('Изменения сохранены');

                    header("Location: /modules/shop/");
                    exit();
                }
            }
        }
    }

    echo "<div class='list-group-item-null list-group-item-grey'><i class='fa fa-money fa-fw'></i> " . lang('Рубли') . " <span class='count'>$user[money]</span></div>";
    echo "<form method='post' action='?yes' class='list-group-item-null'>\n";
    echo "Новый логин:<br />";
    echo"<input type='text' name='name' value='' class='form-control'/><br />";
    $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
    $doc->Link('btn btn-secondary btn-sm', 'index.php', null, 'Отмена');
    echo "</form>\n";

    include_once H . 'sys/inc/tfoot.php';
    exit();
}
echo "<div class='list-group-item-null'>";
echo "Вы действительно хотите изменить свой логин?<br /> <a href='?yes' class='btn btn-primary btn-sm'>Да</a> <a href='index.php' class='btn btn-secondary btn-sm'>Нет</a><br />";
echo "Стоимость услуги <span style='color: green;'><i class='fa fa-money fa-fw'></i> 200</span>.</div>";

include_once H . 'sys/inc/tfoot.php';
